<template>
  <span @click.stop="edit()">编辑</span>
</template>

<script>
export default {
  name: 'Edit',
  data() {
    return {
    };
  },
  computed:{
  },
  props: ['fileData'],
  watch:{
  },
  methods: {
    edit () {
      window.sessionStorage.setItem('uploadType',this.fileData.type)      
      this.$router.push({
        name: 'upload',
        params: {
          data: JSON.stringify(this.fileData)
        }
      })
    }
  },
};
</script>

<style scoped>

</style>
